# InquiryCreatePrivateConnectPrice

## 1. 接口描述

调用本接口用于创建一条二层网络专线询价。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

<table><thead><tr><th width="185">参数名称</th><th width="78.85864661654136">必选</th><th width="196">类型</th><th>描述</th></tr></thead><tbody><tr><td>endpointA</td><td>是</td><td><a href="../../datastructure#createendpointparam">CreateEndpointInfoParam</a></td><td>创建二层网络其中一端的连接点（A）</td></tr><tr><td>endpointZ</td><td>是</td><td><a href="../../datastructure#createendpointparam">CreateEndpointInfoParam</a></td><td>创建二层网络另一端的连接点（Z）</td></tr><tr><td>bandwidthMbps</td><td>否</td><td>Integer</td><td>二层网络专线的最大带宽限制。<br>默认值是1，单位：Mbps。</td></tr></tbody></table>

## 3. 响应结果

<table><thead><tr><th width="257">参数名称</th><th width="221.33333333333331">类型</th><th>描述</th></tr></thead><tbody><tr><td>requestId</td><td>String</td><td><p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 RequestId。</p></td></tr><tr><td>privateConnectPrice</td><td><a href="../../datastructure#price">Price</a></td><td>二层网络专线带宽价格。</td></tr><tr><td>endpointAPrice</td><td><a href="../../datastructure#price">Price</a></td><td>A端的连接点的建设价格。<br>对于类型为Tencent/AWS/G</td></tr><tr><td>endpointZPrice</td><td><a href="../../datastructure#price">Price</a></td><td></td></tr></tbody></table>

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 对1个二层网络专线（A 和 Z 都是端口）进行询价,带宽为默认1Mbps。**

```json
POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: InquiryCreatePrivateConnectPrice
<Common Request Params>

Request：
{
    "endpointA": {
        "portId": "your-port-Id"
    }
    "endpointZ": {
        "portId": "your-port-Id-2"
    }
}

Response：
{   
  "requestId": "TDB181167-C39F-4C3E-8E88-B8FDE755FDC0",
  "response": {
    "requestId":"TDB181167-C39F-4C3E-8E88-B8FDE755FDC0",
    "privateConnectPrice":        {
            "unitPrice":1.65,
            "originalPrice":null,
            "discountPrice":null,
            "discount":100,
            "stepPrices":null,
            "discountUnitPrice":1.65,
            "chargeUnit":"DAY"
        }
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/toolkit)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/instruction/commonerrorcode)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |
|         |     |    |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/networking/sdn/private-connect/inquirycreateprivateconnectprice.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
